Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 686857 - Tab is closed when tapping near the "X" button
: Tab is closed when tapping near the "X" button
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 9
Assigned To: Lucas Rocha (:lucasr)
Depends on:
  Show dependency treegraph
Reported: 2011-09-15 02:51 PDT by Andreea Pod
Modified: 2011-10-06 10:19 PDT (History)
11 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---

Make clickable area match close button boundaries (849 bytes, patch)
2011-09-15 17:43 PDT, Lucas Rocha (:lucasr)
mark.finkle: review+
Details | Diff | Splinter Review

Description Andreea Pod 2011-09-15 02:51:52 PDT
Mozilla /5.0 (Android;Linux armv7l;rv:9.0a1) Gecko/20110914 Firefox/9.0a1 Fennec/9.0a1
Device: HTC Desire Z (Android 2.3)

Steps to reproduce:
1. Open a few tabs
2. Go to tab panel
3. tap on a tab between the middle of the tab and the X button

Expected results:
nothing should happen if the tab is in focus, if not it should get in focus

Actual result:
the tab is closed, please see the video:

- this is happening only on Android 2.3
- I made the video using DeviceAnywhere because using the real device would not be so clear that the click is not performed on the "X" button.
Comment 1 Aaron Train [:aaronmt] 2011-09-15 09:29:56 PDT
This is probably by design as they have a large 'hit' zone.
Comment 2 Martijn Wargers [:mwargers] (not working for Mozilla) 2011-09-15 17:00:38 PDT
This is far too easy to hit, currently. The 'hit' zone of the close button is for the phone UI at least, far too great, now. Tapping in the middle of the thumbnail even cause the tab to be closed.
Comment 3 Lucas Rocha (:lucasr) 2011-09-15 17:43:17 PDT
Created attachment 560495 [details] [diff] [review]
Make clickable area match close button boundaries
Comment 4 Ed Morley [:emorley] 2011-09-16 02:02:48 PDT
Didn't apply cleanly, but fixed locally and pushed to inbound:
Comment 5 :Ehsan Akhgari (Away Oct 25 - Nov 9) 2011-09-16 07:31:31 PDT
Comment 6 Aaron Train [:aaronmt] 2011-09-19 11:03:01 PDT
Mozilla/5.0 (Android; Linux armv7l; rv:9.0a1) Gecko/20110919 Firefox/9.0a1 Fennec/9.0a1

Note You need to log in before you can comment on or make changes to this bug.